php-phpstan-phpdoc-parser (2.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- David Prévot <taffit@debian.org>  Sat, 18 Jan 2025 10:59:06 +0100

php-phpstan-phpdoc-parser (2.0.0-1) experimental; urgency=medium

  * Upload new major to experimental

  [ Ondrej Mirtes ]
  * Parsing Doctrine annotations is no longer optional
  * PhpDocParser - always preserve type aliases with invalid types
  * Text between tags always belongs to description
  * UPGRADING.md

  [ David Prévot ]
  * Revert "Force system dependencies loading (tests)"
  * Ship UPGRADING.md

 -- David Prévot <taffit@debian.org>  Fri, 15 Nov 2024 11:23:05 +0100

php-phpstan-phpdoc-parser (1.33.0-2) unstable; urgency=medium

  * Drop currently failing test

 -- David Prévot <taffit@debian.org>  Sat, 26 Oct 2024 14:09:31 +0200

php-phpstan-phpdoc-parser (1.33.0-1) unstable; urgency=medium

  [ Ondrej Mirtes ]
  * Support for `non-empty-array` and `non-empty-list` array shape kind

 -- David Prévot <taffit@debian.org>  Thu, 24 Oct 2024 06:24:20 +0200

php-phpstan-phpdoc-parser (1.32.0-1) unstable; urgency=medium

  [ Jiří Pudil ]
  * PhpDocParser: support template type lower bounds

 -- David Prévot <taffit@debian.org>  Mon, 30 Sep 2024 13:53:44 +0200

php-phpstan-phpdoc-parser (1.30.1-1) unstable; urgency=medium

  [ Ondrej Mirtes ]
  * Fix bug of repeating last line in AST for
    textBetweenTagsBelongsToDescription=true
  * Deploy API Reference into a subdirectory with the current branch name

 -- David Prévot <taffit@debian.org>  Mon, 09 Sep 2024 07:45:51 +0200

php-phpstan-phpdoc-parser (1.30.0-1) unstable; urgency=medium

  [ Markus Staab ]
  * Update roave/backward-compatibility-check
  * Fix $matches error

  [ Tinjo Schöni ]
  * Support typing extra items in unsealed array shapes

 -- David Prévot <taffit@debian.org>  Sun, 01 Sep 2024 16:04:43 +0200

php-phpstan-phpdoc-parser (1.29.1-1) unstable; urgency=medium

  [ Markus Staab ]
  * `TemplateTagValueNode` name cannot be empty string

 -- David Prévot <taffit@debian.org>  Mon, 03 Jun 2024 07:20:06 +0200

php-phpstan-phpdoc-parser (1.29.0-2) unstable; urgency=medium

  * Make provider function static (PHPUnit 11 Fix) (Closes: #1070589)

 -- David Prévot <taffit@debian.org>  Mon, 20 May 2024 00:00:02 +0200

php-phpstan-phpdoc-parser (1.29.0-1) unstable; urgency=medium

  [ Ondrej Mirtes ]
  * Test pure-callable and pure-Closure

  [ Richard van Velzen ]
  * Support array and offset access on const types

  [ David Prévot ]
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Thu, 09 May 2024 07:41:03 +0200

php-phpstan-phpdoc-parser (1.28.0-1) unstable; urgency=medium

  [ Brad Jorsch ]
  * Add `@phan-` prefixes for recognized doc tags

 -- David Prévot <taffit@debian.org>  Sun, 07 Apr 2024 16:39:14 +0200

php-phpstan-phpdoc-parser (1.27.0-3) unstable; urgency=medium

  * Allow stderr during CI

 -- David Prévot <taffit@debian.org>  Fri, 29 Mar 2024 06:49:05 +0000

php-phpstan-phpdoc-parser (1.27.0-2) unstable; urgency=medium

  * Use debhelper dependencies during CI

 -- David Prévot <taffit@debian.org>  Tue, 26 Mar 2024 08:28:37 +0000

php-phpstan-phpdoc-parser (1.27.0-1) unstable; urgency=medium

  [ Ondrej Mirtes ]
  * Support for `@param-closure-this`, `@param-immediately-invoked-callable`
    and `@param-later-invoked-callable`

  [ David Prévot ]
  * Force system dependencies loading (tests)

 -- David Prévot <taffit@debian.org>  Sun, 24 Mar 2024 10:28:34 +0100

php-phpstan-phpdoc-parser (1.26.0-1) unstable; urgency=medium

  [ Brad Miller ]
  * Parse generic callables

  [ Jan Tvrdík ]
  * Improve static keyword conflict resolution in `@method`

 -- David Prévot <taffit@debian.org>  Sun, 25 Feb 2024 11:08:23 +0100

php-phpstan-phpdoc-parser (1.25.0-2) unstable; urgency=medium

  * Use php-parser 5

 -- David Prévot <taffit@debian.org>  Mon, 15 Jan 2024 23:39:54 +0100

php-phpstan-phpdoc-parser (1.25.0-1) unstable; urgency=medium

  [ Markus Staab ]
  * Added support for `@phpstan-require-extends` and
    `@phpstan-require-implements` PHPDoc tags

 -- David Prévot <taffit@debian.org>  Fri, 05 Jan 2024 23:11:22 +0100

php-phpstan-phpdoc-parser (1.24.5-1) unstable; urgency=medium

  [ Ondrej Mirtes ]
  * Fix format-preserving printer for GenericTagValueNode without description

 -- David Prévot <taffit@debian.org>  Mon, 18 Dec 2023 00:00:27 +0100

php-phpstan-phpdoc-parser (1.24.4-1) unstable; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Tue, 28 Nov 2023 07:47:27 +0100

php-phpstan-phpdoc-parser (1.24.3-1) unstable; urgency=medium

  [ Ondrej Mirtes ]
  * Tests for comment-like descriptions
  * Different site ID for Fathom

  [ schlndh ]
  * fix HTML description detection for phpstorm stubs

 -- David Prévot <taffit@debian.org>  Mon, 20 Nov 2023 13:57:24 +0100

php-phpstan-phpdoc-parser (1.24.2-1) unstable; urgency=medium

  [ Richard van Velzen ]
  * Allow conditional type in callable return type

 -- David Prévot <taffit@debian.org>  Wed, 27 Sep 2023 07:30:23 +0200

php-phpstan-phpdoc-parser (1.24.1-1) unstable; urgency=medium

  [ Michael Voříšek ]
  * simplify/unify parseGeneric method
  * fix/unify callable template parsing with EOL

 -- David Prévot <taffit@debian.org>  Tue, 19 Sep 2023 09:24:16 +0530

php-phpstan-phpdoc-parser (1.24.0-1) unstable; urgency=medium

  [ ekisu ]
  * Allow asserting the type of `$this`

 -- David Prévot <taffit@debian.org>  Sat, 09 Sep 2023 14:31:03 +0530

php-phpstan-phpdoc-parser (1.23.1-1) unstable; urgency=medium

  [ Ondrej Mirtes ]
  * Fix parsing Doctrine strings

 -- David Prévot <taffit@debian.org>  Sat, 05 Aug 2023 12:14:44 +0200

php-phpstan-phpdoc-parser (1.23.0-1) unstable; urgency=medium

  [ Ondrej Mirtes ]
  * New option to attach text between tags as description to the tag above

 -- David Prévot <taffit@debian.org>  Mon, 24 Jul 2023 13:56:16 +0200

php-phpstan-phpdoc-parser (1.22.1-1) unstable; urgency=medium

  * Upload to unstable now that Bookworm has been released

  [ Ondrej Mirtes ]
  * TokenIterator - detect newline

 -- David Prévot <taffit@debian.org>  Wed, 05 Jul 2023 08:41:45 +0200

php-phpstan-phpdoc-parser (1.22.0-1) experimental; urgency=medium

  [ Ondrej Mirtes ]
  * Experimental: Parse Doctrine annotations

  [ David Prévot ]
  * Use php-doctrine-annotations for tests

 -- David Prévot <taffit@debian.org>  Sat, 03 Jun 2023 09:55:09 +0200

php-phpstan-phpdoc-parser (1.21.3-1) experimental; urgency=medium

  [ Ondřej Mirtes ]
  * Prepare for 1.22.x

  [ David Prévot ]
  * Adapt to recent version of PHPUnit (10)
  * Drop now useless build-dependency

 -- David Prévot <taffit@debian.org>  Tue, 30 May 2023 12:23:52 +0200

php-phpstan-phpdoc-parser (1.21.0-1) experimental; urgency=medium

  [ Ondřej Mirtes ]
  * Update README.md

  [ David Prévot ]
  * Ship now meaningful upstream README
  * Exclude some test files for phpab

 -- David Prévot <taffit@debian.org>  Thu, 18 May 2023 19:23:55 +0200

php-phpstan-phpdoc-parser (1.20.4-1) experimental; urgency=medium

  [ Ondrej Mirtes ]
  * Open 1.20.x

 -- David Prévot <taffit@debian.org>  Thu, 04 May 2023 20:20:40 +0200

php-phpstan-phpdoc-parser (1.20.3-1) experimental; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Wed, 26 Apr 2023 20:18:39 +0200

php-phpstan-phpdoc-parser (1.20.1-1) experimental; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Sat, 22 Apr 2023 16:27:32 +0200

php-phpstan-phpdoc-parser (1.18.1-1) experimental; urgency=medium

  [ Ondrej Mirtes ]
  * Support for object shapes
  * Do not crash on invalid UTF-8

 -- David Prévot <taffit@debian.org>  Sat, 08 Apr 2023 13:14:45 +0200

php-phpstan-phpdoc-parser (1.17.1-1) experimental; urgency=medium

  * Upload new minor to experimental during the freeze

  [ Ondrej Mirtes ]
  * PhpDocParser - option to preserve type alias with parse error
  * Fix parsing invalid types in type aliases

 -- David Prévot <taffit@debian.org>  Tue, 04 Apr 2023 19:30:30 +0200

php-phpstan-phpdoc-parser (1.16.1-1) unstable; urgency=medium

  [ USAMI Kenta ]
  * Fix list{} parsing

 -- David Prévot <taffit@debian.org>  Sat, 11 Feb 2023 07:21:48 +0100

php-phpstan-phpdoc-parser (1.16.0-1) unstable; urgency=medium

  [ USAMI Kenta ]
  * Add support for list shapes

  [ David Prévot ]
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Sun, 29 Jan 2023 22:29:06 +0100

php-phpstan-phpdoc-parser (1.15.3-1) unstable; urgency=medium

  [ Ondřej Mirtes ]
  * Fix ConstExprArrayItemNode::__toString()

 -- David Prévot <taffit@debian.org>  Wed, 21 Dec 2022 06:32:47 +0100

php-phpstan-phpdoc-parser (1.15.2-1) unstable; urgency=medium

  [ Jeremiasz Major ]
  * Support unsealed array shapes
  * Fix printing nodes

 -- David Prévot <taffit@debian.org>  Sat, 17 Dec 2022 09:56:29 +0100

php-phpstan-phpdoc-parser (1.15.0-1) unstable; urgency=medium

  [ Tomohito YABU ]
  * Add generics support to `@method` definitions

 -- David Prévot <taffit@debian.org>  Thu, 08 Dec 2022 05:45:23 +0100

php-phpstan-phpdoc-parser (1.14.0-1) unstable; urgency=medium

  [ Jiří Pudil ]
  * Generics type projections (call-site variance)

 -- David Prévot <taffit@debian.org>  Wed, 30 Nov 2022 06:04:21 +0100

php-phpstan-phpdoc-parser (1.13.1-1) unstable; urgency=medium

  [ Jaapio ]
  * Add specialized tags support

 -- David Prévot <taffit@debian.org>  Tue, 22 Nov 2022 07:29:05 +0100

php-phpstan-phpdoc-parser (1.13.0-2) unstable; urgency=medium

  * Drop last data set causing tests to fail on 32-bit arch

 -- David Prévot <taffit@debian.org>  Sat, 29 Oct 2022 10:54:28 +0200

php-phpstan-phpdoc-parser (1.13.0-1) unstable; urgency=medium

  [ Richard van Velzen ]
  * Unescape constant strings
  * Allow unparenthesized conditional type in conditional else branch
  * Fix __toString() for negated asserts
  * Add equality assert syntax

 -- David Prévot <taffit@debian.org>  Mon, 24 Oct 2022 07:54:42 +0200

php-phpstan-phpdoc-parser (1.11.0-1) unstable; urgency=medium

  [ Richard van Velzen ]
  * Implement template default syntax

 -- David Prévot <taffit@debian.org>  Sat, 15 Oct 2022 13:07:14 +0200

php-phpstan-phpdoc-parser (1.9.0-1) unstable; urgency=medium

  [ Richard van Velzen ]
  * Improve abnf readability
  * Implement this-out/self-out syntax

 -- David Prévot <taffit@debian.org>  Fri, 07 Oct 2022 16:45:57 +0200

php-phpstan-phpdoc-parser (1.8.0-1) unstable; urgency=medium

  [ Kuba Werłos ]
  * Allow backslash in PHPDoc tag

 -- David Prévot <taffit@debian.org>  Fri, 09 Sep 2022 10:30:04 -0400

php-phpstan-phpdoc-parser (1.7.0-1) unstable; urgency=medium

  * Don’t check upstream signature

 -- David Prévot <taffit@debian.org>  Thu, 11 Aug 2022 12:08:06 +0200

php-phpstan-phpdoc-parser (1.6.4-1) unstable; urgency=medium

  [ Jiří Pudil ]
  * Simplify parsing of type alias import

  [ Alex Wells ]
  * Support @template-contravariant tags

 -- David Prévot <taffit@debian.org>  Fri, 01 Jul 2022 07:06:36 +0200

php-phpstan-phpdoc-parser (1.6.3-1) unstable; urgency=medium

  * New upstream release
  * Mark package as Multi-Arch: foreign
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Sat, 18 Jun 2022 17:47:31 +0200

php-phpstan-phpdoc-parser (1.2.0-2) unstable; urgency=medium

  * Upload to unstable

 -- David Prévot <taffit@debian.org>  Fri, 26 Nov 2021 17:01:12 -0400

php-phpstan-phpdoc-parser (1.2.0-1) unstable; urgency=low

  * Initial release (new symfony build-dependency)

 -- David Prévot <taffit@debian.org>  Sat, 06 Nov 2021 14:25:02 -0400
